# Encoding: utf-8
Ohai.plugin(:FileData) do
  depends 'customdata'

  provides 'customdata/user', 'customdata/env', 'customdata/ext'

  collect_data do
    customdata[:user] = get_data_from_file('/etc/ohai-data/userdata')
    customdata[:env] = get_data_from_file('/etc/ohai-data/envdata')
    customdata[:ext] = get_data_from_file('/etc/ohai-data/extdata')
  end
end
